code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/sh # script for execution of deployed applications # # Sets up the MCR environment for the current $ARCH and executes # the specified command. # exe_name=$0 exe_dir=`dirname "$0"` if [ "$1" = "--help" ]; then echo -e "--------------------------------\n\nDESCRIPTION\n\nSeed connectivity analysis using network ...
avigailtaylor/gntat14
genenet_standalone/run_np_seed_bg_exe.sh
Shell
gpl-3.0
7,801
#!/bin/sh # # This file is protected by Copyright. Please refer to the COPYRIGHT file # distributed with this source distribution. # # This file is part of GNUHAWK. # # GNUHAWK is free software: you can redistribute it and/or modify is under the # terms of the GNU General Public License as published by the Free Sof...
RedhawkSDR/integration-gnuhawk
components/chunks_to_symbols_bf/build.sh
Shell
gpl-3.0
1,591
#!/bin/bash # Ensure we are being ran as root if [ $(id -u) -ne 0 ]; then echo "This script must be ran as root" exit 1 fi # For upgrades and sanity check, remove any existing i2p.list file rm -f /etc/apt/sources.list.d/i2p.list # Compile the i2p ppa echo "deb http://deb.i2p2.no/ unstable main" > /etc/apt/sources....
Und3rf10w/kali-anonsurf
installer.sh
Shell
gpl-3.0
1,551
#!/bin/bash # -*- coding: UTF8 -*- # --------------------------------------------- # @author: Guillaume Seren # @since: 14/04/2015 # source: https://github.com/GuillaumeSeren/videoEncoder # file: videoEncoder.sh # Licence: GPLv3 # # This script wrap-up some of my preset to easy encode HTML5 video, # using avc...
GuillaumeSeren/videoEncoder
videoEncoder.sh
Shell
gpl-3.0
15,661
#!/bin/sh export GR_DONT_LOAD_PREFS=1 export srcdir=/home/katsikas/gnuradio/gr-digital/python export PATH=/home/katsikas/gnuradio/build/gr-digital/python:$PATH export LD_LIBRARY_PATH=/home/katsikas/gnuradio/build/volk/lib:/home/katsikas/gnuradio/build/gruel/src/lib:/home/katsikas/gnuradio/build/gnuradio-core/src/lib:/h...
katsikas/gnuradio
build/gr-digital/python/qa_constellation_decoder_cb_test.sh
Shell
gpl-3.0
709
git config --global user.email "david.eve.za@gmail.com" git config --global user.name "david-eve-za"
david-eve-za/misc
InitializeGit.sh
Shell
gpl-3.0
101
#!/bin/bash ############################################################################## # gmbootstrap # # # # Copyright (C) 2016 Andreas Grapentin ...
oaken-source/gmbootstrap
src/stage_3/steps/6.60.libpipeline-1.4.1.sh
Shell
gpl-3.0
1,636
#!/bin/bash java -cp run/workgear.jar:run/operform.jar mainform.MainForm
wellboyvg/workgear
client/workgear.sh
Shell
gpl-3.0
75
#!/bin/bash # # [Swizzin :: Install ffmpeg package] # # Author: liara # # Copyright (C) 2017 Swizzin # Licensed under GNU General Public License v3.0 GPL-3 (in short) # # You may copy, distribute and modify the software as long as you track # changes/dates in source files. Any modifications to our software # in...
liaralabs/swizzin
scripts/install/ffmpeg.sh
Shell
gpl-3.0
608
#!/bin/bash # -v /sys/fs/cgroup:/sys/fs/cgroup:ro \ VOLS="-v /sys/fs/cgroup:/sys/fs/cgroup:ro" OPTS="--cap-add SYS_ADMIN --security-opt seccomp=unconfined" # OPTS="--privileged" # -it --rm sudo docker run \ -d \ $VOLS \ $OPTS \ -h router200 \ --name router200 \ router # systemd.unit=emerg...
PexMor/toolbox
d04-runAlt.sh
Shell
mpl-2.0
333
#!/bin/sh APP_PATH=`echo $0 | awk '{split($0,patharr,"/"); idx=1; while(patharr[idx+1] != "") { if (patharr[idx] != "/") {printf("%s/", patharr[idx]); idx++ }} }'` APP_PATH=`cd "$APP_PATH"; pwd` rm "${APP_PATH}/public/"main.*.js rm "${APP_PATH}/public/"scripts.*.js rm "${APP_PATH}/public/"runtime.*.js rm "${APP_PATH}...
jakerenzella/doubtfire-api
clean_ui.sh
Shell
agpl-3.0
393
#backup_config_fs.sh #This is a backup sricpt that shold be placed in one of the configuration servers to backup the DB. #The result is a tar.gz file containing the content of the config database driectory. #!/bin/bash numberOfHosts=8; hostname="`hostname`"; backupBase="/mnt/mongo_backup/backups"; syncFile=$backupBa...
BillRun/system
scripts/maintenance/backup_config_fs.sh
Shell
agpl-3.0
2,026
#!/bin/bash if [ ! -d workspace ]; then mkdir workspace mkdir releases mkdir releases/all mkdir releases/current git clone git@github.com:getspacetime/spacetime.git workspace/spacetime fi
getspacetime/spacetime
platform/init.sh
Shell
agpl-3.0
209
#!/bin/bash pwiz.py -u gestioCI -P gestioCI -e mysql -t General_person,General_address,General_rel_human_addresses,Welcome_ic_person_membership,Welcome_ic_project_membership,auth_user,old_auth_user,Invoices_soci,General_rel_human_persons,public_form_registrationprofile,Welcome_ic_self_employed_rel_fees,Welcome_ic_insur...
CICIC/gestioCIimporter
updateModels.sh
Shell
agpl-3.0
815
#!/bin/bash echo "Removing old files...." make clean rm -f zdt4.cpp rm -f zdt4.prm rm -f zdt4.mak rm -f zdt4Individual.cpp rm -f zdt4Individual.hpp rm -f Makefile rm -f objectives rm -f zdt4_pf.png rm -f .RData rm -f plot_info rm -f easea.log echo "Done"
EASEA/easea
examples/zdt/zdt4/cleanup.sh
Shell
agpl-3.0
254
#!/bin/bash curl -X POST -H 'Content-Type: application/atom+xml' \ --data-binary '@examples/salmon-slap.xml'\ localhost:4547/salmon/replies
talkatv/talkatv
examples/salmon-slap.sh
Shell
agpl-3.0
148
#!/bin/bash # only keep backbone atoms # usage: bb_filter.sh out_dir in.pdb OUT=$1/`basename $2` TMP=`mktemp` trap "rm -f $TMP" EXIT egrep '^ATOM ' $2 > $TMP pdbset xyzin $TMP xyzout $OUT 1>/dev/null << EOF EXCLUDE SIDE EXCLUDE WATer EXCLUDE HYDROGENS EXCLUDE HEADERS PICK N CA C O RENUMBER 1 EOF
UnixJunkie/fragger
bin/pdb_filter.sh
Shell
lgpl-2.1
303
#!/bin/bash # # Copyright 2011 Alexandros Iosifidis, Dimitrios Michalakos # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU Lesser General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any late...
jmike/cs-library
ssh.sh
Shell
lgpl-3.0
5,813
tail -f temp | ./inc | tee temp
ISSAE/nsy103
CodeCamp/RingOfProcess/traitement/cycleInc.sh
Shell
lgpl-3.0
32
#!/usr/bin/env sh DOTFILES=${HOME}/dotfiles cp ${DOTFILES}/tmux.conf ${HOME}/.tmux.conf sh ${DOTFILES}/suckless/install.sh
gthar/dotfiles
install.sh
Shell
unlicense
125
#!/bin/bash if [ $# -ne 2 ] || ! [[ $1 = +([[:digit:]]) ]] || ! [[ $2 = +([[:digit:]]) ]]; then echo 0; exit 0; fi if [ $1 -gt $2 ]; then TOTAL=$1 COUNT=$2 else TOTAL=$2 COUNT=$1 fi DIFF=$((TOTAL-COUNT)) if [ $COUNT -lt $DIFF ]; then FLIMIT=$DIFF SLIMIT=$COUNT else FLIMIT=$COUNT SLIMIT=$DIFF fi ACCUM=1 ...
SkUrRiEr/triangle_worksheets
calc_count.sh
Shell
unlicense
476
#!bin/bash A="test" curl --data "id=$A" http://httpbin.org/post
stseira/script_snippets
curl_post_test.sh
Shell
unlicense
65
#!/bin/sh # Command Line params # ACTUAL at this time: # $1 = Interval Days to remove. DAY_ARCHIVE_THRESHOLD=$1 #!/bin/bash # Cleaning hadoop logs older than 30 days in all hadoop related folders on /var/log LOG_BASE=/var/log COMPONENTS="accumulo ambari-agent ambari-server falcon hadoop hadoop-hdfs hadoop-mapredu...
dstreev/hdp-utils
operations/hdp-log-archive.sh
Shell
apache-2.0
1,185
AUTH=`bash authenticate.sh` ALBUM=5923532334197705329 #ALBUM=5963797622870562161 curl --silent --header "Authorization: GoogleLogin auth=$AUTH" "https://picasaweb.google.com/data/feed/base/user/115341700119165085726/albumid/$ALBUM?kind=photo" |sed 's/</\n</g' | grep media:content |sed 's/.*url='"'"'\([^'"'"']*\)'"'"'.*...
millertime3/frame
frame/get_pics.sh
Shell
apache-2.0
380
function autoCompleteWorkflow { local current workflows COMPREPLY=() cur="${COMP_WORDS[COMP_CWORD]}" local workflowToRun=${COMP_WORDS[0]} if [ -z "$CACHED_WORKFLOW" ]; then export CACHED_WORKFLOW=${workflowToRun} export CACHED_WORKFLOW_VALUES="$(WORKFLOW_ALIAS GenerateAutoCompleteValues --autocomplet...
vmware/workflowTools
core/src/main/resources/workflowCompletion.sh
Shell
apache-2.0
700
flume-ng agent -n agent1 -f kafka.conf --name a1 -Dflume.root.logger=INFO,console
alexciobanu/ExpertSummit
flume/run.sh
Shell
apache-2.0
82
#!/bin/bash #install the list of puppet modules after downloading from github git clone git://github.com/cnaf/ci-puppet-modules.git /ci-puppet-modules # install all puppet modules required by the StoRM testsuite. # the "--detailed-exitcodes" flag returns explicit exit status: # exit code '2' means there were changes...
dandreotti/docker-storm-services
frontend/setup.sh
Shell
apache-2.0
866
#!/usr/bin/env bash export CONDA_ROOT=/opt/conda export DEXPY_ENV_NAME=dexpy_env export DEXPY_ENV_ROOT=$CONDA_ROOT/envs/$DEXPY_ENV_NAME export DEXPY_DEPENDENCIES="numpy scipy pandas patsy statsmodels matplotlib seaborn bokeh" export PATH=$DEXPY_ENV_ROOT/bin:$CONDA_ROOT/bin:$PATH # install apt packages first sudo apt-...
hpanderson/dexpy-pymntos
bootstrap.sh
Shell
apache-2.0
1,514
## # Copyright (c) 2010-2015 Apple Inc. All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicab...
red-hood/calendarserver
contrib/performance/benchlib.sh
Shell
apache-2.0
3,711
#!/bin/bash -ex [ -f /etc/os-release ] && source /etc/os-release [ "$ID" == "coreos" ] && echo "Skipping on Core-OS" && exit 0 sudo yum install -y cloud-init || sudo apt-get -y install cloud-init python-serial sudo sync sudo ls /etc/cloud
rs-services/server-templates
imagebuilder/attachments/cloudinit.sh
Shell
apache-2.0
239
#!/bin/bash # # apply-cluster.sh applies the k8s cluster configuration to the currently # configured cluster. This script may be safely run multiple times to load the # most recent configurations. # # Example: # # PROJECT_ID=mlab-sandbox CLOUDSDK_CONTAINER_CLUSTER=data-processing ./apply-cluster.sh set -x set -e set...
m-lab/etl
apply-cluster.sh
Shell
apache-2.0
904
#!/bin/sh # make sure sensitive keys are not committed currentKey=$(grep "private const string ENCRYPTION_KEY = \"\";" ./SensusService/SensusServiceHelper.cs) if [ "$currentKey" == "" ]; then echo "[ERROR] You are not allowed to commit an encryption key." exit 1 fi currentKey=$(grep "protected const string X...
haunthy/sensus
Scripts/git-pre-commit.sh
Shell
apache-2.0
523
curl -k -X POST https://147.32.107.139:8082/sensor_registration?access_token="$3" -H "Content-Type: application/json" -d '{"uuid":"'$1'","type":"'$2'","description":"my sensor","secret":"00000000000000000000000000000000000000000000000000000000"}'
eclub-sense/iot-cloud
add_sensor.sh
Shell
apache-2.0
247
#!/bin/bash set -e ./gradlew clean test assemble filename=$(find build/libs -name "*.jar" | head -1) filename=$(basename "$filename") EXIT_STATUS=0 echo "Publishing archives for branch $TRAVIS_BRANCH" if [[ -n $TRAVIS_TAG ]] || [[ $TRAVIS_BRANCH == 'master' && $TRAVIS_PULL_REQUEST == 'false' ]]; then echo "Publish...
ZacharyKlein/grails-isomorphic
travis-build.sh
Shell
apache-2.0
491
# ----------------------------------------------------------------------------- # # Package : is-even # Version : 0.1.2 # Source repo : https://github.com/jonschlinkert/is-even # Tested on : RHEL 8.3 # Script License: Apache License, Version 2 or later # Maintainer : BulkPackageSearch Automation <sethp@us.ibm.com> # # ...
ppc64le/build-scripts
i/is-even/is-even_rhel_8.3.sh
Shell
apache-2.0
3,058
#! /usr/bin/env sh webpack --config config/webpack.js --watch & webpack-dev-server ./lib/main.js --inline --content-base ./ --no-colors &
deVars/bunny-apocalypse
config/start-server.sh
Shell
apache-2.0
138
#!/bin/sh test_migration() { ensure_import_testimage # workaround for kernel/criu umount /sys/kernel/debug >/dev/null 2>&1 || true if ! lxc_remote remote list | grep -q l1; then lxc_remote remote add l1 "${LXD_ADDR}" --accept-certificate --password foo fi if ! lxc_remote remote list | grep -q l2; the...
chrisglass/lxd
test/suites/migration.sh
Shell
apache-2.0
3,094
#!/bin/zsh PW="(rootpw)" SCRAPY_PATH="/usr/local/virtualenv/ENV/bin/scapy" if [ -d $SCRAPY_PATH ]; then echo -e $PW+"\n" | sudo -S /usr/local/virtualenv/ENV/bin/scrapy crawl crawl_page else echo -e $PW+"\n" | sudo -S scrapy crawl crawl_page fi ## Add Log if [ -d "/usr/local/crawl/crawler/crawl/spiders/data" ]; th...
kkokey/crawler
crawl/spiders/run_crawl.sh
Shell
apache-2.0
451
#!/bin/sh . ./include.sh ${examples_dir}iterator_fortran > /dev/null
weathersource/grib_api
examples/iterator_fortran.sh
Shell
apache-2.0
73
#!/bin/sh ARGS="" ARGS="$ARGS +env.PLAYERGLOBAL_HOME="/Users/erik/Documents/apacheFlex/dependencies/PlayerGlobal/player" " ARGS="$ARGS +playerglobal.version=15.0 " ARGS="$ARGS +source.dir="/Users/erik/Documents/ApacheFlex/git/flex-tlf/TextLayout" " ARGS="$ARGS -define=CONFIG::debug,false " ARGS="$ARGS -define=CONFIG:...
greg-dove/flex-asjs
vf2js/utils/FlexSDKToJS/TextLayoutToJS.sh
Shell
apache-2.0
1,085
#!/bin/bash # # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); yo...
fhieber/incubator-joshua
src/test/resources/decoder/left-state/test.sh
Shell
apache-2.0
1,160
#!/bin/sh OS=$1 CURRENT=`cat current` (cd $CURRENT;./stop.sh) cp storage/config.txt /boot cp storage/cmdline.txt /boot echo "dwc2" >> /etc/modules echo "g_mass_storage" >> /etc/modules #echo "/root/gadget/rc.sh" >> /etc/rc.local (cd storage;./start.sh)
darrylburke/RaspberryPiZero_HID_MultiTool
gadget/storage.sh
Shell
apache-2.0
253
#!/bin/bash -e # Copyright (c) 2017 Stefan Katerkamp (katerkamp.de) project_stage=${1:-Production} . target/maven-shared-archive-resources/bash/config.sh 2>/dev/null || (echo "ERROR. Fix: run from project basedir."; exit 1) . $SHAREPATH/bash/lib.sh mergegulptasks (cd target; gulp scss) if [[ $project_stage == Prod...
skaterkamp/szoo-faces
build-helpers/src/bash/compile-styles.sh
Shell
apache-2.0
373
#!/bin/bash -u # # Copyright 2014 Google Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agre...
mbrukman/stackexchange-answers
stackoverflow/24021214/gcloud.sh
Shell
apache-2.0
4,093
#!/usr/bin/env bash # Copyright 2016 The TensorFlow Authors. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless...
nburn42/tensorflow
tensorflow/tools/ci_build/install/install_python3.6_pip_packages.sh
Shell
apache-2.0
2,814
sku=`tail -1 < $LOCAL_DATA"SKUs/sku_list"` echo "sku" $sku echo "starting to write metadata to " $metadatatargetpath | tee --append $sfb_log createtime=$(( `date +%s` )) echo "createtime is " $createtime >> $sfb_log special_from=$createtime (( special_from = createtime - 86400 )) news_from_date=$createtime (( ne...
fredzannarbor/pagekicker-community
scripts/includes/metadata-footer.sh
Shell
apache-2.0
9,951
#!/bin/bash echo "-------------------------------" echo "USERNAME EXP DATE " echo "-------------------------------" while read expired do AKUN="$(echo $expired | cut -d: -f1)" ID="$(echo $expired | grep -v nobody | cut -d: -f3)" exp="$(chage -l $AKUN | grep "Account expires" | awk -...
silentriders/Debian7
user-list.sh
Shell
apache-2.0
673
#!/bin/bash echo Bootstrap hello "$@"!
treasure-data/digdag
digdag-tests/src/test/resources/acceptance/emr/bootstrap_hello.sh
Shell
apache-2.0
39
#!/bin/bash # Copyright (c) 2015 Jason Barnes, Jyoti Parwatikar, and John DeHart # and Washington University in St. Louis # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apach...
WU-ARL/ONLdaemons
vmbase/scripts/get_vm_name.sh
Shell
apache-2.0
1,580
#!/bin/bash ambuild cp ../Leet.inc ~/Programs/SourceModPlugin/alliedmodders/sourcemod/build/package/addons/sourcemod/scripting/include/ cp ./Leet.ext.2.csgo/Leet.ext.2.csgo.so ~/Programs/SourceModPlugin/steamcmd/csgo/csgo/addons/sourcemod/extensions/
LeetCoinTeam/SourceModPlugin
leet_ext/build/build.sh
Shell
apache-2.0
251
#!/bin/sh bazel build //client && $FAUCET_ROOT/bazel-bin/client/client
dinowernli/faucet
demo/run_client.sh
Shell
apache-2.0
72
./thunar/thunar-preferences.c ./.config/xfce4/xfconf/xfce-perchannel-xml/thunar.xml 监控 某个频道 xfconf-query -c thunar -m xfconf-query --channel thunar --property /misc-thumbnail-mode 关闭预览 1. xfconf-query --channel thunar --property /misc-thumbnail-mode --create --type string --set THUNAR_THUMBNAIL_MODE_NEVER 2. or edi...
zhoulipeng/cppwork
shellcmd/xfce.sh
Shell
apache-2.0
411
#!/bin/bash aws cloudformation create-change-set \ --change-set-name user-data \ --stack-name sysop-training \ --template-body file://~/Source/practices/cloudformation/projects/webserver.yaml \ --capabilities CAPABILITY_NAMED_IAM \ --region us-east-1 \ --profile hgmiguel #/opt/aws/bin/cfn-init -v --sta...
hgmiguel/practices
cloudformation/update.sh
Shell
apache-2.0
411
# Package : Jaeger, Distributed Tracing Platform # Version : Master # Source repo : https://github.com/jaegertracing/jaeger # Tested on : UBI RHEL 8.3 # Architecture : ppc64le # Maintainer : sachin.kakatkar@ibm.com # # Disclaimer: This script has been tested in non-root (with sudo) mode on given # ========== platform ...
ppc64le/build-scripts
j/jaeger/jaeger-rhel_8.3.sh
Shell
apache-2.0
2,215
#!/bin/bash # Copyright 2014 The Kubernetes Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law ...
skippbox/kmachine
Godeps/_workspace/src/k8s.io/kubernetes/hack/update-codegen.sh
Shell
apache-2.0
2,152
#!/usr/bin/env bash # Step 3 echo "STEP #3" echo "Doing important stuff..."
weldpua2008/compage
ExampleProject/3_build_step.sh
Shell
apache-2.0
77
#! # # Script to run the MlpNetworkTrainer program. # # Set DEBUG to something other than true to turn it off DEBUG=true function usage { echo "Usage: $0 td_year [td_year2 ... td_yearN] v_year [,v_year2,...v_yearN]" echo "Description: creates training data for the specified years" echo "Where:" echo -e "\ttd_...
makotogo/developerWorks
NcaaMarchMadness/src/main/script/run-mlp-trainer.sh
Shell
apache-2.0
2,796
#!/usr/bin/env bash source /Users/senthil/py/virtualenvironments/sphinx/bin/activate
orsenthil/coursedocs
env.sh
Shell
apache-2.0
86
#!/bin/bash #g++ --std=c++11 -I/home/amaity/Desktop/ibm/ILOG/CPLEX_Studio_Community129/cplex/include -I/home/amaity/Desktop/ibm/ILOG/CPLEX_Studio_Community129/concert/include -DIL_STD plantlocation.cpp -o test2 -lilocplex -lconcert -lcplex -lm -lpthread -ldl g++ --std=c++11 -I$GUROBI_HOME/include -I$PWD -L$GUROBI_HOM...
Arka2009/ita3e
BoostGraph/test/compile_command.sh
Shell
bsd-2-clause
397
#!/bin/bash # configs/moteino-mega/nsh/setenv.sh # # Copyright (C) 2015 Gregory Nutt. All rights reserved. # Author: Gregory Nutt <gnutt@nuttx.org> # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions # are met: # # 1. Redistribu...
IUTInfoAix/terrarium_2015
nuttx/configs/moteino-mega/nsh/setenv.sh
Shell
bsd-2-clause
2,529
#!/bin/bash # Copyright (c) 2012 The Chromium Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. set -e . ./test-lib.sh setup_initgit setup_gitgit ( set -e cd git-git git checkout -q -b work HEAD^ echo "some work done on a bra...
coreos/depot_tools
tests/upload-stale.sh
Shell
bsd-3-clause
837
#!/bin/bash echo "Validating source code..." . $(dirname $0)/lib.sh grunt validate
akloboucnik/gooddata-js
ci/run-validation.sh
Shell
bsd-3-clause
85
# set required variables WORKLOAD_FILE=${TOP_DIR}/workloads/workload_SIMPLE_MULTICOLUMN_QUERIES_p300_w2_c1_1234.sql ALGORITHM=wfit # wfit-specific variables HOT=40 STATES=2000
dbgroup-at-ucsc/dbtune
resources/workloads/postgres/.unsupported/working_set/wfit_1/config.sh
Shell
bsd-3-clause
179
#!/bin/bash set -e SQL_FOR='DEMOGRAPHICS' TBL_CBC='cb_criteria' export BQ_PROJECT=$1 # project export BQ_DATASET=$2 # dataset ID_PREFIX=$3 ####### common block for all make-cb-criteria-dd-*.sh scripts ########### source ./generate-cdr/cb-criteria-utils.sh echo "Running in parallel and Multitable mode - ...
all-of-us/workbench
api/db-cdr/generate-cdr/build-cb-criteria-demographics.sh
Shell
bsd-3-clause
6,802
#!/bin/sh # Package PACKAGE="fengoffice" DNAME="Feng Office" # Others INSTALL_DIR="/usr/local/${PACKAGE}" SSS="/var/packages/${PACKAGE}/scripts/start-stop-status" WEB_DIR="/var/services/web" USER="nobody" MYSQL="/usr/syno/mysql/bin/mysql" MYSQL_USER="fengoffice" MYSQL_DATABASE="fengoffice" TMP_DIR="${SYNOPKG_PKGDEST}...
momiji/spksrc
spk/fengoffice/src/installer.sh
Shell
bsd-3-clause
3,971
#!/usr/bin/env bash testdir=$(readlink -f $(dirname $0)) rootdir="$testdir/../../.." source $rootdir/scripts/autotest_common.sh timing_enter memory timing_enter vtophys $testdir/vtophys process_core timing_exit vtophys timing_exit memory
omnicube/omnicube-os
test/lib/memory/memory.sh
Shell
bsd-3-clause
242
#!/bin/bash # # Copyright (C) 2014 Intel Corporation # # Redistribution and use in source and binary forms, with or without modification, # are permitted provided that the following conditions are met: # # * Redistributions of works must retain the original copyright notice, this list # of conditions and the followin...
YongseopKim/crosswalk-test-suite
wrt/tct-appwgt-wrt-tests/scripts/wrt_appwgt_install_only_author_signature.sh
Shell
bsd-3-clause
2,739
#!/bin/bash : ' Copyright 2014 JARST, LLC This file is part of EMP. EMP is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later ...
encryptedmessaging/emp
script/test.sh
Shell
bsd-3-clause
802
# ! /bin/bash TARGET_DIR="$1" if [[ -z "$LATTE_ROOT" ]] ; then LATTE_ROOT="$HOME/.julia/v0.4/Latte" fi if [[ -z "$TARGET_DIR" ]] ; then TARGET_DIR="." fi # wget -P $TARGET_DIR http://cs231n.stanford.edu/tiny-imagenet-200.zip # echo "Unzipping tiny-imagenet, this will take awhile..." # unzip -q $TARGET_DIR/tin...
IntelLabs/Latte.jl
examples/tiny-imagenet/data/get-data.sh
Shell
bsd-3-clause
803
#!/bin/bash UNAME=$(which uname 2>/dev/null) SORT=$(which sort 2>/dev/null) GREP=$(which grep 2>/dev/null) CUT=$(which cut 2>/dev/null) WC=$(which wc 2>/dev/null) if [ "" = "${CHECK}" ] || [ "0" = "${CHECK}" ]; then if [ "" = "${CHECK_DNN_MB}" ]; then CHECK_DNN_MB=128; fi if [ "" = "${CHECK_DNN_ITERS}" ]; then CH...
egeor/libxsmm
samples/deeplearning/cnnlayer/run_vgga.sh
Shell
bsd-3-clause
3,652
#!/bin/sh -e XCA_DIR="`dirname $0`" XCA_DIR="`cd $XCA_DIR/.. && pwd`" XCA_BUILD="`pwd`"/xca_build LIBTOOL_DIR="libtool-2.2.6b" LIBTOOL_GZ="${LIBTOOL_DIR}".tar.gz LIBTOOL_DL="http://ftp.gnu.org/gnu/libtool/${LIBTOOL_GZ}" OPENSSL_DIR="openssl-1.0.1c" OPENSSL_GZ="${OPENSSL_DIR}".tar.gz OPENSSL_DL="http://openssl.org/so...
jbfavre/xca
misc/build-w32.sh
Shell
bsd-3-clause
1,354
#!/bin/bash sed -i 's|mongodb://.*/hello_world|mongodb://'"${DBHOST}"'/hello_world|g' config/dev/environment.properties sed -i 's|mysql://.*:3306|mysql://'"${DBHOST}"':3306|g' config/dev/environment.properties mvn clean package mvn assembly:single cd target unzip world-1.0-SNAPSHOT-zip-with-dependencies.zip cd world-...
kellabyte/FrameworkBenchmarks
frameworks/Java/restexpress/setup.sh
Shell
bsd-3-clause
367
#!/bin/bash ./gradlew --no-daemon clean build publish
bwaldvogel/liblinear-java
release.sh
Shell
bsd-3-clause
54
while read line || [ -n "$line" ]; do echo "$((0X$line))" done <$1
nikai3d/ce-challenges
easy/hex_to_decimal.bash
Shell
bsd-3-clause
71
#!/bin/sh ###################################################################### # (c) 2017 TIBCO Software Inc. All rights reserved. # # Except as specified below, this software is licensed pursuant to the Eclipse Public License v. 1.0. # The details can be found in the file LICENSE. # # The following proprietary fil...
cisco/PDTool
regression/regression_plan_driver.sh
Shell
bsd-3-clause
11,197
#!/bin/bash -e cp files/banks.json ${ROOTFS_DIR}/usr/local/modep/banks.json cp -r files/pedalboards ${ROOTFS_DIR}/usr/local/modep/.pedalboards
BlokasLabs/modep
stage4/01-install-button-pedalboards/01-run.sh
Shell
bsd-3-clause
144
#!/bin/bash rm -fr /go/src/github.com/microservices-demo/user/
di-unipi-socc/TosKeriser
data/examples/sockshop-app/sockshop/scripts/user/uninstall.sh
Shell
mit
64
/home/siyang/Bin/software_pip/YH_script/AsmVar/lastdb -c -m1111110 -v target.lastdb target.fa /home/siyang/Bin/MyPipe/Assembly/develop/1.1.0/third_party/variantstudio/bin/lastal -e25 -v -q3 -j4 target.lastdb query.fa | /home/siyang/Bin/MyPipe/Assembly/develop/1.1.0/third_party/variantstudio/bin/last-split -s35 -v > al...
bioinformatics-centre/AsmVar
demo/Data/work.log.sh
Shell
mit
360
#!/bin/bash while [ 1 ] do curl 192.168.1.144:5000 sleep 2 done
frnsys/test_site
ping.sh
Shell
mit
67
#!/bin/bash set -eo pipefail echo "cleaning apt cache" apt-get autoremove apt-get clean echo "deleting old kernels" cur_kernel=$(uname -r|sed 's/-*[a-z]//g'|sed 's/-386//g') kernel_pkg="linux-(image|headers|ubuntu-modules|restricted-modules)" meta_pkg="${kernel_pkg}-(generic|i386|server|common|rt|xen|ec2)" apt-get pu...
yabawock/packer-typo3
scripts/vm_cleanup.sh
Shell
mit
794
#!/bin/bash FN="hgu133b.db_3.2.3.tar.gz" URLS=( "https://bioconductor.org/packages/3.11/data/annotation/src/contrib/hgu133b.db_3.2.3.tar.gz" "https://bioarchive.galaxyproject.org/hgu133b.db_3.2.3.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-hgu133b.db/bioconductor-hgu133b.db_3.2.3_src_all.tar.gz...
roryk/recipes
recipes/bioconductor-hgu133b.db/post-link.sh
Shell
mit
1,412
#!/usr/bin/env bash yarn test
emsk/redmine-notifier
bin/travis-build.sh
Shell
mit
30
#!/bin/bash pepper -G 'roles:tracker' service.restart airflow-scheduler
llevar/germline-regenotyper
configuration/salt/state/kapacitor/scripts/restart_airflow.sh
Shell
mit
71
#!/bin/bash -e # Begin service ENV variables source "$(dirname "$0")/mongodb_env.sh" # End service ENV variables start_generic_service() { name=$1 binary=$2 service_cmd=$3 service_port=$4 if [ -f "$binary" ]; then sudo su -c "$service_cmd > /dev/null 2>&1 &"; sleep 5 ## check if the service po...
dry-dock/u14all
services/mongodb.sh
Shell
mit
1,444
#!/bin/sh set -e mkdir -p "${CONFIGURATION_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}" RESOURCES_TO_COPY=${PODS_ROOT}/resources-to-copy-${TARGETNAME}.txt > "$RESOURCES_TO_COPY" XCASSET_FILES=() realpath() { DIRECTORY="$(cd "${1%/*}" && pwd)" FILENAME="${1##*/}" echo "$DIRECTORY/$FILENAME" } install_reso...
bnolens/TSOfflineGeocoder
Example/TSOfflineGeocoder-Example/Pods/Target Support Files/Pods-TSOfflineGeocoder-ExampleTests/Pods-TSOfflineGeocoder-ExampleTests-resources.sh
Shell
mit
4,799
#!/bin/sh ########################################################### # checkpsw.sh (C) 2004 Mathias Sundman <mathias@openvpn.se> # # This script will authenticate OpenVPN users against # a plain text file. The passfile should simply contain # one row per user with the username first followed by # one or more space(s) ...
wkite/dockerfiles
.deprecated/alpine-with-openvpn/server/checkpsw.sh
Shell
mit
1,191
#!/bin/bash uname=`uname` clean="" config="debug" qmake="1" servers="" while true; do case "$1" in release) config=release ;; clean) clean="clean" ;; noqmake) qmake="" ;; servers) servers="1" ...
cculianu/rt-fsm
emulator/compile.sh
Shell
gpl-2.0
1,317
#!/bin/bash ######################### # # Check all rst snippets # in typo3/sysext/core/Documentation/Changelog # # It expects to be run from the core root. # ########################## echo 'Searching for rst snippets' EXT=rst COUNT=0 for i in `find typo3/sysext/core/Documentation/Changelog -name "*.rst" -type f`; d...
morinfa/TYPO3.CMS
Build/Scripts/validateRstFiles.sh
Shell
gpl-2.0
3,636
#!/usr/bin/env bash #============================================================== # # B A R A K U D A # # An OCEAN MONITORING python environment for NEMO # # L. Brodeau, 2009-2017 # #=============================================================== export script=barakuda [ -z ${BARAK...
brodeau/barakuda
barakuda.sh
Shell
gpl-2.0
36,090
#! /bin/sh # This script builds the PDF version of the PostgreSQL documentation. # # In principle we could do this as part of the RPM build, but there are # good reasons not to: # 1. The build would take longer and have a larger BuildRequires footprint. # 2. The generated PDF has timestamps in it, which would inevitab...
MagicGroup/MagicSPECS
SPECS.p/postgresql/generate-pdf.sh
Shell
gpl-2.0
1,219
#!/bin/sh if [ "$#" -lt 2 ] then echo "Very few arguments..." echo "Usage : $0 [set/unset] domain nameserver1 [nameserver2] interface" exit 1 fi OPERATION="$1" DOMAIN="$2" DNS1="$3" DNS2="$4" IF_NAME="$5" #echo "Arguments : $1 $2 $3 $4" # Service IDs of all the PPPs running in this machine ppp_services=`echo "li...
odit/rv042
linux/embedded_rootfs/pkg_addon/EasyAccess/src/posixvpclient/vpdialer/dnscommand.sh
Shell
gpl-2.0
1,348
# Execute a command with a timeout # Author: # http://www.pixelbeat.org/ # Notes: # If the timeout occurs the exit status is 128. # There is an asynchronous (and buggy) equivalent of this # script packaged with bash (under /usr/share/doc/ in my distro), # which I only noticed after writing this. # I ...
pauljaxon/vct
run/timeout.sh
Shell
gpl-3.0
1,365
#!/bin/sh # $1 - package version # $2 - i686 path # $3 - x86_64 path # $4 - output PKGBUILD if [ ! -f $2 ]; then echo "i686 package not built!" exit 1 fi if [ ! -f $3 ]; then echo "x86_64 package not built!" exit 1 fi mdsum32_sum=`md5sum $2|cut -f -1 -d ' '` mdsum64_sum=`md5sum $3|cut -f -1 -d ' '` echo "Package ...
chlorophyll-zz/redshiftgui
data/aur_pack.sh
Shell
gpl-3.0
1,043
wget http://model.dbpedia-spotlight.org/dbpedia-spotlight-latest.jar wget http://model.dbpedia-spotlight.org/latest_models/en.tar.gz tar xzf en.tar.gz
JarbasAI/jarbas-core
mycroft/jarbas-skills/LILACS_core/spotlight_server_install.sh
Shell
gpl-3.0
150
module load craypkg-gen mkdir $build_dir/pkg-tmp craypkg-gen -p $install_dir craypkg-gen -m $install_dir -o $build_dir/pkg-tmp module unload craypkg-gen export modulefiles=$build_dir/pkg-tmp/modulefiles full_version=$version-$config_name # .version file echo '#%Module' > $modulefiles/deal_II/.version echo 'set Mod...
ARCHER-CSE/build-instructions
deal.II/build-gnu-64-petsc/package.sh
Shell
gpl-3.0
3,031
#!/bin/bash set -e declare -A aliases aliases=( [4.9]='4' [5.2]='5 latest' ) cd "$(dirname "$(readlink -f "$BASH_SOURCE")")" versions=( */ ) versions=( "${versions[@]%/}" ) url='git://github.com/docker-library/gcc' echo '# maintainer: InfoSiftr <github@infosiftr.com> (@infosiftr)' for version in "${versions[@]}"...
brahmaroutu/gcc
generate-stackbrew-library.sh
Shell
gpl-3.0
862
#!/bin/bash usage() { cat <<EOF Usage: `basename $0` name EOF } name="$1" if [ -z "$name" ]; then usage exit 1 fi if [ -e modules/${name} ]; then echo "modules/${name} already exists." exit 2 fi # mkdir -p modules/${name} mkdir -p modules/${name}/views mkdir -p modules/${name}/db mkdir -p modul...
octopuce/omk-server
scripts/dev-new-module.sh
Shell
agpl-3.0
809
#!/usr/bin/env bash ci_dir="$(dirname "$0")" . "${ci_dir}/ci-common.sh" mkdir -p "${CI_BUILD_DIR}" && cd "${CI_BUILD_DIR}" || exit 1 wget -qO- "${sf_lf_CI_TARURL}" | tar xvz wget -qO- "${sf_plf_CI_TARURL}" | tar xvz wget -qO- "${sf_vfa_CI_TARURL}" | tar xvz ( cd lf && make clean && make ) ( cd plf && make clean &&...
maximedenes/coq
dev/ci/ci-sf.sh
Shell
lgpl-2.1
361
#!/bin/bash # # Copyright 2011-2019 Asakusa Framework Team. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicabl...
ashigeru/asakusafw
yaess-project/asakusa-yaess-core/src/main/dist/yaess-hadoop/libexec/hadoop-execute.sh
Shell
apache-2.0
4,098
# This script is a generic attempt to initialize a newly-created head node # as part of a Mesos-powered Hadoop-driven Dockerized cluster. # # This script should be run as ROOT. # # The stack is as follows: # - Basic RHEL-related dependencies # - Mesos on metal # - Hadoop (for HDFS) on metal # STEP 0: Define some vari...
quinngroup/littlejohn
0-headnode.sh
Shell
apache-2.0
1,472